Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
Cloo.Bindings.CLx Class Reference

Contains bindings to the OpenCL extension functions. More...

List of all members.

## Classes
class | Delegates
## Public Member Functions
ComputeErrorCode | CreateSubDevicesEXT (IntPtr in_device, cl_device_partition_property_ext[] properties, Int32 num_entries, IntPtr[] out_devices, out Int32 num_devices)
ComputeErrorCode | EnqueueMigrateMemObjectEXT (IntPtr command_queue, Int32 num_mem_objects, IntPtr[] mem_objects, cl_mem_migration_flags_ext flags, Int32 num_events_in_wait_list, IntPtr[] event_wait_list, IntPtr[] new_event)
ComputeErrorCode | GetGLContextInfoKHR (IntPtr[] properties, ComputeGLContextInfo param_name, IntPtr param_value_size, IntPtr param_value, out IntPtr param_value_size_ret)
ComputeErrorCode | ReleaseDeviceEXT (IntPtr device)
ComputeErrorCode | RetainDeviceEXT (IntPtr device)
| CLx (ComputePlatform platform)

## Detailed Description

Contains bindings to the OpenCL extension functions.

See the Khronos OpenCL API extensions registry for documentation regarding these functions.

## Constructor & Destructor Documentation

Cloo.Bindings.CLx.CLx | ( | ComputePlatform | platform | ) |

Parameters:

  platform |

## Member Function Documentation

ComputeErrorCode Cloo.Bindings.CLx.CreateSubDevicesEXT | ( | IntPtr | in_device,
|  | cl_device_partition_property_ext[] | properties,
|  | Int32 | num_entries,
|  | IntPtr[] | out_devices,
|  | out Int32 | num_devices
| ) |  |

ComputeErrorCode Cloo.Bindings.CLx.EnqueueMigrateMemObjectEXT | ( | IntPtr | command_queue,
|  | Int32 | num_mem_objects,
|  | IntPtr[] | mem_objects,
|  | cl_mem_migration_flags_ext | flags,
|  | Int32 | num_events_in_wait_list,
|  | IntPtr[] | event_wait_list,
|  | IntPtr[] | new_event
| ) |  |

ComputeErrorCode Cloo.Bindings.CLx.GetGLContextInfoKHR | ( | IntPtr[] | properties,
|  | ComputeGLContextInfo | param_name,
|  | IntPtr | param_value_size,
|  | IntPtr | param_value,
|  | out IntPtr | param_value_size_ret
| ) |  |

ComputeErrorCode Cloo.Bindings.CLx.ReleaseDeviceEXT | ( | IntPtr | device | ) |

ComputeErrorCode Cloo.Bindings.CLx.RetainDeviceEXT | ( | IntPtr | device | ) |

The documentation for this class was generated from the following file:

- Cloo/Source/Bindings/Clx.cs